/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FastStochasticOscillatorIndicatorStrategy } from "./FastStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class FastStochasticOscillatorIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 3;
    }
    get_p3() {
        return new FastStochasticOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return FastStochasticOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(FastStochasticOscillatorIndicator.qp));
    }
    set qo(a) {
        this.h(FastStochasticOscillatorIndicator.qp, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
}
FastStochasticOscillatorIndicator.$t = markType(FastStochasticOscillatorIndicator, 'FastStochasticOscillatorIndicator', StrategyBasedIndicator.$);
FastStochasticOscillatorIndicator.qp = StrategyBasedIndicator.ql(14, FastStochasticOscillatorIndicator.$);
